<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.ReagentConsumablesSetMapper">

  <resultMap id="reagentConsumablesSetMap" type="digital.laboratory.platform.reagent.entity.ReagentConsumablesSet">
    <id property="reagentConsumablesSetId" column="reagent_consumables_set_id"/>
    <result property="applicationForUseId" column="application_for_use_id"/>
    <result property="quantity" column="quantity"/>
    <result property="reagentConsumableId" column="reagent_consumable_id"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
    <result property="remarks" column="remarks"/>
    <result property="purpose" column="purpose"/>
    <result property="batchDetailsId" column="batch_details_id"/>
  </resultMap>
</mapper>
